=== debian/changelog ===
smokeqt (4:4.14.3-1.2ubuntu3) bionic; urgency=medium

  * libsmokeqt4-dev: Don't ship danging symlink to removed libraries.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Feb 2018 21:48:33 +0100

smokeqt (4:4.14.3-1.2ubuntu2) bionic; urgency=medium

  * No-change rebuild for qscintilla2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Feb 2018 17:22:43 +0100

smokeqt (4:4.14.3-1.2ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - add list-missing markers to build output

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 04 Jan 2018 09:31:09 -0800

smokeqt (4:4.14.3-1.2) unstable; urgency=medium

  * Team upload.
  * Drop unused (no rdepends) packages and associated build-depends as step
    towards Qt4 removal:
    - libsmokeqsci3, libsmokeqtdbus4-3, libsmokeqthelp4-3,
      libsmokeqtopengl4-3, libsmokeqtscript4-3, libsmokeqtsql4-3,
      libsmokeqtsvg4-3, libsmokeqtuitools4-3, libsmokeqtxmlpatterns4-3,
      libsmokephonon3, and libsmokeqimageblitz3

 -- Scott Kitterman <scott@kitterman.com>  Thu, 28 Dec 2017 13:59:04 -0500

smokeqt (4:4.14.3-1.1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - add list-missing markers to build output
  * Dropped changes:
    - conflicts/replaces/provides no longer needed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Apr 2017 22:55:27 -0700

smokeqt (4:4.14.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: added g++ flag to avoid FTBFS with GCC 6. (Closes: #812002)

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sat, 18 Mar 2017 13:49:35 -0300

smokeqt (4:4.14.3-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - add list-missing markers to build output
  * Revert library package name changes for g++5 ABI transition; per Debian
    this is not needed. Conflict/Replace/Provide the reverted names to
    simplify the transition back.  These changes can be dropped after xenial
    releases.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 01 Nov 2015 12:12:47 -0800

smokeqt (4:4.14.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update watch file
  * Drop libsmokeqtwebkit4-3 and libqtwebkit-dev build-depends as part of
    getting rid of Qt4 WebKit (Closes: #784528)
    - Build-conflicts libqtwebkit-dev just to make sure

 -- Scott Kitterman <scott@kitterman.com>  Thu, 10 Sep 2015 15:41:18 -0400

smokeqt (4:4.14.2-0ubuntu5) wily; urgency=medium

  * No-change rebuild against libqscintilla2-12v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Aug 2015 19:50:20 +0000

smokeqt (4:4.14.2-0ubuntu4) wily; urgency=medium

  * No change rebuild for libqscintilla2-12v5.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Aug 2015 21:40:14 +0200

smokeqt (4:4.14.2-0ubuntu3) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 04 Aug 2015 11:41:19 +0100

smokeqt (4:4.14.2-0ubuntu2) wily; urgency=medium

  * No change rebuild for libqscintilla2-12

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 14 Jul 2015 23:14:21 -0500

smokeqt (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:53:04 -0700
