=== debian/control ===
Source: smokeqt
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>,
           Sune Vuorela <sune@debian.org>,
           David Palacio <dpalacio@orbitalibre.org>,
           Michael Meskes <meskes@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               libqt4-dev,
               pkg-config,
               pkg-kde-tools (>= 0.6.8),
               smoke-dev-tools (>= 4:4.11)
Build-Conflicts: libqtwebkit-dev
Standards-Version: 3.9.5
Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokeqt
X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/smokeqt.git
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokeqt
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokeqt
X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokeqt.git;a=summary

#Package: libsmokeqsci3
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Architecture: any
#Description: QScintilla2 SMOKE library
# SMOKE libraries are part of the bindings used for Qt and KDE. This package
# contains QScintilla2 SMOKE.
# .
# SMOKE provides infrastructure which is used for creating bindings for
# multiple languages such as Ruby, C# and PHP.
# .
# This is part of the SMOKE Qt module.
#
#Package: libsmokeqt3support4-3
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Architecture: any
#Description: Qt3 Support SMOKE library
# SMOKE libraries are part of the bindings used for Qt and KDE. This package
# contains Qt3 Support SMOKE.
# .
# SMOKE provides infrastructure which is used for creating bindings for
# multiple languages such as Ruby, C# and PHP.
# .
# This is part of the SMOKE Qt module.
#
Package: libsmokeqtcore4-3
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Qt Core SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Core SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

#Package: libsmokeqtdbus4-3
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Architecture: any
#Description: Qt D-Bus SMOKE library
# SMOKE libraries are part of the bindings used for Qt and KDE. This package
# contains Qt D-Bus SMOKE.
# .
# SMOKE provides infrastructure which is used for creating bindings for
# multiple languages such as Ruby, C# and PHP.
# .
# This is part of the SMOKE Qt module.
#
#Package: libsmokeqtdeclarative4-3
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Architecture: any
#Description: Qt Declarative SMOKE library
# SMOKE libraries are part of the bindings used for Qt and KDE. This package
# contains Qt Declarative SMOKE.
# .
# SMOKE provides infrastructure which is used for creating bindings for
# multiple languages such as Ruby, C# and PHP.
# .
# This is part of the SMOKE Qt module.
#
Package: libsmokeqtgui4-3
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Qt Gui SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Gui SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

#Package: libsmokeqthelp4-3
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Architecture: any
#Description: Qt Help SMOKE library
# SMOKE libraries are part of the bindings used for Qt and KDE. This package
# contains Qt Help SMOKE.
# .
# SMOKE provides infrastructure which is used for creating bindings for
# multiple languages such as Ruby, C# and PHP.
# .
# This is part of the SMOKE Qt module.
#
Package: libsmokeqtnetwork4-3
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Qt Network SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Network SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

#Package: libsmokeqtopengl4-3
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Architecture: any
#Description: Qt OpenGL SMOKE library
# SMOKE libraries are part of the bindings used for Qt and KDE. This package
# contains Qt OpenGL SMOKE.
# .
# SMOKE provides infrastructure which is used for creating bindings for
# multiple languages such as Ruby, C# and PHP.
# .
# This is part of the SMOKE Qt module.
#
#Package: libsmokeqtscript4-3
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Architecture: any
#Description: Qt Script SMOKE library
# SMOKE libraries are part of the bindings used for Qt and KDE. This package
# contains Qt Script SMOKE.
# .
# SMOKE provides infrastructure which is used for creating bindings for
# multiple languages such as Ruby, C# and PHP.
# .
# This is part of the SMOKE Qt module.
#
#Package: libsmokeqtsql4-3
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Architecture: any
#Description: Qt Sql SMOKE library
# SMOKE libraries are part of the bindings used for Qt and KDE. This package
# contains Qt Sql SMOKE.
# .
# SMOKE provides infrastructure which is used for creating bindings for
# multiple languages such as Ruby, C# and PHP.
# .
# This is part of the SMOKE Qt module.
#
#Package: libsmokeqtsvg4-3
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Architecture: any
#Description: Qt Svg SMOKE library
# SMOKE libraries are part of the bindings used for Qt and KDE. This package
# contains Qt Svg SMOKE.
# .
# SMOKE provides infrastructure which is used for creating bindings for
# multiple languages such as Ruby, C# and PHP.
# .
# This is part of the SMOKE Qt module.
#
Package: libsmokeqttest4-3
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Qt Test SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Test SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

#Package: libsmokeqtuitools4-3
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Architecture: any
#Description: Qt Ui Tools SMOKE library
# SMOKE libraries are part of the bindings used for Qt and KDE. This package
# contains Qt Ui Tools SMOKE.
# .
# SMOKE provides infrastructure which is used for creating bindings for
# multiple languages such as Ruby, C# and PHP.
# .
# This is part of the SMOKE Qt module.
#
#Package: libsmokeqtwebkit4-3
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Architecture: any
#Description: Qt WebKit SMOKE library
# SMOKE libraries are part of the bindings used for Qt and KDE. This package
# contains Qt WebKit SMOKE.
# .
# SMOKE provides infrastructure which is used for creating bindings for
# multiple languages such as Ruby, C# and PHP.
# .
# This is part of the SMOKE Qt module.
#
Package: libsmokeqtxml4-3
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Qt Xml SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Xml SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

#Package: libsmokeqtxmlpatterns4-3
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Architecture: any
#Description: Qt XmlPatterns SMOKE library
# SMOKE libraries are part of the bindings used for Qt and KDE. This package
# contains Qt XmlPatterns SMOKE.
# .
# SMOKE provides infrastructure which is used for creating bindings for
# multiple languages such as Ruby, C# and PHP.
# .
# This is part of the SMOKE Qt module.
#
#Package: libsmokephonon3
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Architecture: any
#Description: Qt Phonon SMOKE library
# SMOKE libraries are part of the bindings used for Qt and KDE. This package
# contains Phonon SMOKE.
# .
# SMOKE provides infrastructure which is used for creating bindings for
# multiple languages such as Ruby, C# and PHP.
# .
# This is part of the SMOKE Qt module.
#
#Package: libsmokeqimageblitz3
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Architecture: any
#Description: QImageBlitz SMOKE libraries
# SMOKE libraries are part of the bindings used for Qt and KDE. This package
# contains QImageBlitz SMOKE.
# .
# SMOKE provides infrastructure which is used for creating bindings for
# multiple languages such as Ruby, C# and PHP.
# .
# This is part of the SMOKE Qt module.
#
Package: libsmokeqt4-dbg
Section: debug
Depends: libsmokeqtcore4-3 (= ${binary:Version}), ${misc:Depends}
Recommends: libqt4-dbg
Breaks: kdebindings-dbg
Replaces: kdebindings-dbg
Architecture: any
Priority: extra
Description: Qt SMOKE libraries debug symbols
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains debug symbols for Qt SMOKE libraries.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqt4-dev
Section: libdevel
Depends: smoke-dev-tools (>> 4:4.10), ${misc:Depends}, ${so:Depends}
Architecture: any
Description: Development files for Qt SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the development files for the SMOKE Qt modules.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.
