=== debian/watch ===
version=3
http://download.kde.org/stable/(\d+(?:\.\d+)*)/src/ \
(?:|.*/)smokeqt(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
